package cn.ibizlab.businesscentral.core.odoo_account.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_account.domain.Account_journal;
/**
 * 关系型数据实体[Account_journal] 查询条件对象
 */
@Slf4j
@Data
public class Account_journalSearchContext extends QueryWrapperContext<Account_journal> {

	private String n_bank_statements_source_eq;//[银行费用]
	public void setN_bank_statements_source_eq(String n_bank_statements_source_eq) {
        this.n_bank_statements_source_eq = n_bank_statements_source_eq;
        if(!ObjectUtils.isEmpty(this.n_bank_statements_source_eq)){
            this.getSearchCond().eq("bank_statements_source", n_bank_statements_source_eq);
        }
    }
	private String n_name_like;//[日记账名称]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_type_eq;//[类型]
	public void setN_type_eq(String n_type_eq) {
        this.n_type_eq = n_type_eq;
        if(!ObjectUtils.isEmpty(this.n_type_eq)){
            this.getSearchCond().eq("type", n_type_eq);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private String n_profit_account_id_text_eq;//[利润科目]
	public void setN_profit_account_id_text_eq(String n_profit_account_id_text_eq) {
        this.n_profit_account_id_text_eq = n_profit_account_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_profit_account_id_text_eq)){
            this.getSearchCond().eq("profit_account_id_text", n_profit_account_id_text_eq);
        }
    }
	private String n_profit_account_id_text_like;//[利润科目]
	public void setN_profit_account_id_text_like(String n_profit_account_id_text_like) {
        this.n_profit_account_id_text_like = n_profit_account_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_profit_account_id_text_like)){
            this.getSearchCond().like("profit_account_id_text", n_profit_account_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新人]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新人]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_loss_account_id_text_eq;//[损失科目]
	public void setN_loss_account_id_text_eq(String n_loss_account_id_text_eq) {
        this.n_loss_account_id_text_eq = n_loss_account_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_loss_account_id_text_eq)){
            this.getSearchCond().eq("loss_account_id_text", n_loss_account_id_text_eq);
        }
    }
	private String n_loss_account_id_text_like;//[损失科目]
	public void setN_loss_account_id_text_like(String n_loss_account_id_text_like) {
        this.n_loss_account_id_text_like = n_loss_account_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_loss_account_id_text_like)){
            this.getSearchCond().like("loss_account_id_text", n_loss_account_id_text_like);
        }
    }
	private String n_default_credit_account_id_text_eq;//[默认贷方科目]
	public void setN_default_credit_account_id_text_eq(String n_default_credit_account_id_text_eq) {
        this.n_default_credit_account_id_text_eq = n_default_credit_account_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_default_credit_account_id_text_eq)){
            this.getSearchCond().eq("default_credit_account_id_text", n_default_credit_account_id_text_eq);
        }
    }
	private String n_default_credit_account_id_text_like;//[默认贷方科目]
	public void setN_default_credit_account_id_text_like(String n_default_credit_account_id_text_like) {
        this.n_default_credit_account_id_text_like = n_default_credit_account_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_default_credit_account_id_text_like)){
            this.getSearchCond().like("default_credit_account_id_text", n_default_credit_account_id_text_like);
        }
    }
	private String n_default_debit_account_id_text_eq;//[默认借方科目]
	public void setN_default_debit_account_id_text_eq(String n_default_debit_account_id_text_eq) {
        this.n_default_debit_account_id_text_eq = n_default_debit_account_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_default_debit_account_id_text_eq)){
            this.getSearchCond().eq("default_debit_account_id_text", n_default_debit_account_id_text_eq);
        }
    }
	private String n_default_debit_account_id_text_like;//[默认借方科目]
	public void setN_default_debit_account_id_text_like(String n_default_debit_account_id_text_like) {
        this.n_default_debit_account_id_text_like = n_default_debit_account_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_default_debit_account_id_text_like)){
            this.getSearchCond().like("default_debit_account_id_text", n_default_debit_account_id_text_like);
        }
    }
	private String n_currency_id_text_eq;//[币种]
	public void setN_currency_id_text_eq(String n_currency_id_text_eq) {
        this.n_currency_id_text_eq = n_currency_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_currency_id_text_eq)){
            this.getSearchCond().eq("currency_id_text", n_currency_id_text_eq);
        }
    }
	private String n_currency_id_text_like;//[币种]
	public void setN_currency_id_text_like(String n_currency_id_text_like) {
        this.n_currency_id_text_like = n_currency_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_currency_id_text_like)){
            this.getSearchCond().like("currency_id_text", n_currency_id_text_like);
        }
    }
	private String n_company_id_text_eq;//[公司]
	public void setN_company_id_text_eq(String n_company_id_text_eq) {
        this.n_company_id_text_eq = n_company_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_eq)){
            this.getSearchCond().eq("company_id_text", n_company_id_text_eq);
        }
    }
	private String n_company_id_text_like;//[公司]
	public void setN_company_id_text_like(String n_company_id_text_like) {
        this.n_company_id_text_like = n_company_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_like)){
            this.getSearchCond().like("company_id_text", n_company_id_text_like);
        }
    }
	private Long n_bank_account_id_eq;//[银行账户]
	public void setN_bank_account_id_eq(Long n_bank_account_id_eq) {
        this.n_bank_account_id_eq = n_bank_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_bank_account_id_eq)){
            this.getSearchCond().eq("bank_account_id", n_bank_account_id_eq);
        }
    }
	private Long n_loss_account_id_eq;//[损失科目]
	public void setN_loss_account_id_eq(Long n_loss_account_id_eq) {
        this.n_loss_account_id_eq = n_loss_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_loss_account_id_eq)){
            this.getSearchCond().eq("loss_account_id", n_loss_account_id_eq);
        }
    }
	private Long n_alias_id_eq;//[别名]
	public void setN_alias_id_eq(Long n_alias_id_eq) {
        this.n_alias_id_eq = n_alias_id_eq;
        if(!ObjectUtils.isEmpty(this.n_alias_id_eq)){
            this.getSearchCond().eq("alias_id", n_alias_id_eq);
        }
    }
	private Long n_company_id_eq;//[公司]
	public void setN_company_id_eq(Long n_company_id_eq) {
        this.n_company_id_eq = n_company_id_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_eq)){
            this.getSearchCond().eq("company_id", n_company_id_eq);
        }
    }
	private Long n_default_credit_account_id_eq;//[默认贷方科目]
	public void setN_default_credit_account_id_eq(Long n_default_credit_account_id_eq) {
        this.n_default_credit_account_id_eq = n_default_credit_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_default_credit_account_id_eq)){
            this.getSearchCond().eq("default_credit_account_id", n_default_credit_account_id_eq);
        }
    }
	private Long n_currency_id_eq;//[币种]
	public void setN_currency_id_eq(Long n_currency_id_eq) {
        this.n_currency_id_eq = n_currency_id_eq;
        if(!ObjectUtils.isEmpty(this.n_currency_id_eq)){
            this.getSearchCond().eq("currency_id", n_currency_id_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }
	private Long n_default_debit_account_id_eq;//[默认借方科目]
	public void setN_default_debit_account_id_eq(Long n_default_debit_account_id_eq) {
        this.n_default_debit_account_id_eq = n_default_debit_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_default_debit_account_id_eq)){
            this.getSearchCond().eq("default_debit_account_id", n_default_debit_account_id_eq);
        }
    }
	private Long n_write_uid_eq;//[最后更新人]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_profit_account_id_eq;//[利润科目]
	public void setN_profit_account_id_eq(Long n_profit_account_id_eq) {
        this.n_profit_account_id_eq = n_profit_account_id_eq;
        if(!ObjectUtils.isEmpty(this.n_profit_account_id_eq)){
            this.getSearchCond().eq("profit_account_id", n_profit_account_id_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



